Subject: [bug#50296] [PATCH 0/2] Add 'guix home' command.

From: Andrew Tropin <[email-masked]>
Date: Tue, 31 Aug 2021 15:03:26 +0300

On 2021-08-31 12:46, zimoun wrote:

> Hi Andrew,
>
> On Tue, 31 Aug 2021 at 12:28, Andrew Tropin <[email-masked]> wrote:
>> Command and subbcommands allowing to manage home environment with guix.
>>
>> Andrew Tropin (2):
>>   scripts: Add 'guix home'.
>>   scripts: home: Add import subcommand.
>
> Raghav recently asked [1] an interesting question about consistency of
> command line commands, i.e., compare for instance:
>
>   guix system roll-back
>   guix pull --roll-back
>   guix package --roll-back
>
> I do not have an opinion but is it a conscientious or discussed choice
> for subcommands? 
>

Yeah, I also mentioned this inconsistency, but I decided to stick to the
'guix system' approach and use subcommands.  I'm not sure, which one is
better, I would like to have pull, package and system to work the same
way, but it seems that such refactoring will berak people setups.
Anyway, I will be keeping the "compatibility" with 'guix system', so if
we decide to change its interface, 'guix home's interface will be
changed too.

>
>
> All the best,
> simon
>
>
> 1: <https://yhetil.org/guix/[email-masked]>